glibmm 2.4: Glib::ObjectBase Class Reference

Main Page Widgets Namespaces Book

# Glib::ObjectBase Class Reference

Inheritance diagram for Glib::ObjectBase:

[legend]
List of all members.

## Public Member Functions
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead.
template<class PropertyType>
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead.
virtual void | reference () const
virtual void | unreference () const
GObject* | gobj ()
const GObject* | gobj () const
GObject* | gobj_copy () const
## Protected Member Functions
| ObjectBase ()
| ObjectBase (const char* custom_type_name)
| ObjectBase (const std::type_info& custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)
bool | is_anonymous_custom_ () const
bool | is_derived_ () const
virtual void | destroy_notify_ ()
void | _set_current_wrapper (GObject* object)
## Static Protected Member Functions
static void | destroy_notify_callback_ (void* data)
## Protected Attributes
GObject* | gobject_
const char* | custom_type_name_
bool | cpp_destruction_in_progress_

## Constructor & Destructor Documentation

Glib::ObjectBase::ObjectBase | ( |  | ) | `[protected]`

Glib::ObjectBase::ObjectBase | ( | const char* | custom_type_name | ) | `[explicit, protected]`

Glib::ObjectBase::ObjectBase | ( | const std::type_info& | custom_type_info | ) | `[explicit, protected]`

virtual Glib::ObjectBase::~ObjectBase | ( |  | ) | `[protected, pure virtual]`

## Member Function Documentation

void Glib::ObjectBase::_set_current_wrapper | ( | GObject* | object | ) | `[protected]`

virtual void Glib::ObjectBase::destroy_notify_ | ( |  | ) | `[protected, virtual]`

static void Glib::ObjectBase::destroy_notify_callback_ | ( | void* | data | ) | `[static, protected]`

template <class PropertyType>
void Glib::ObjectBase::get_property | ( | const Glib::ustring& | property_name,
|  | PropertyType& | value
| ) | const

| You probably want to use a specific property_*() accessor method instead.

void Glib::ObjectBase::get_property_value | ( | const Glib::ustring& | property_name,
|  | Glib::ValueBase& | value
| ) | const

| You probably want to use a specific property_*() accessor method instead.

const GObject* Glib::ObjectBase::gobj | ( |  | ) | const`[inline]`

| Reimplemented in Glib::Interface.

GObject* Glib::ObjectBase::gobj | ( |  | ) | `[inline]`

| Reimplemented in Glib::Interface.

GObject* Glib::ObjectBase::gobj_copy | ( |  | ) | const

void Glib::ObjectBase::initialize | ( | GObject* | castitem | ) | `[protected]`

bool Glib::ObjectBase::is_anonymous_custom_ | ( |  | ) | const`[protected]`

bool Glib::ObjectBase::is_derived_ | ( |  | ) | const`[protected]`

virtual void Glib::ObjectBase::reference | ( |  | ) | const`[virtual]`

template <class PropertyType>
void Glib::ObjectBase::set_property | ( | const Glib::ustring& | property_name,
|  | const PropertyType& | value
| ) |

| You probably want to use a specific property_*() accessor method instead.

void Glib::ObjectBase::set_property_value | ( | const Glib::ustring& | property_name,
|  | const Glib::ValueBase& | value
| ) |

| You probably want to use a specific property_*() accessor method instead.

virtual void Glib::ObjectBase::unreference | ( |  | ) | const`[virtual]`

## Member Data Documentation

bool Glib::ObjectBase::cpp_destruction_in_progress_`[protected]`

const char* Glib::ObjectBase::custom_type_name_`[protected]`

GObject* Glib::ObjectBase::gobject_`[protected]`

The documentation for this class was generated from the following file:

- objectbase.h